# Generated from notifyhub-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name notifyhub

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: NotifyHub is implementation of the Observer pattern using composition
License: Ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
NotifyHub is a callback facility. NotifyHub is used by the informer
to notify clients about arbitrary events in the informer. NotifyHub
contains notification sets (NotifySet).
NotifySet is identified by set ID and it can include one or many
notifications (Notify). Client defines the action performed at
notification (callback). Informer activates the notification when
notification events occur.
Notifications can be enabled/disabled on different levels
(NotifyHub, NotifySet, and Notify).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/doc
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.4-1
- Initial package
